Package org.apache.storm.metrics2.reporters

## Class CsvStormReporter

- java.lang.Object
- - org.apache.storm.metrics2.reporters.ScheduledStormReporter
  - - org.apache.storm.metrics2.reporters.CsvStormReporter

- All Implemented Interfaces:
    `com.codahale.metrics.Reporter`, `Closeable`, `AutoCloseable`, `StormReporter`

      public class CsvStormReporter
      extends ScheduledStormReporter

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CSV_LOG_DIR` |

    - ### Fields inherited from class org.apache.storm.metrics2.reporters.ScheduledStormReporter

      `reporter, reportingPeriod, reportingPeriodUnit`

    - ### Fields inherited from interface org.apache.storm.metrics2.reporters.StormReporter

      `REPORT_DIMENSIONS_ENABLED, REPORT_PERIOD, REPORT_PERIOD_UNITS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CsvStormReporter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `prepare​(com.codahale.metrics.MetricRegistry metricsRegistry, Map<String,​Object> topoConf, Map<String,​Object> reporterConf)` |

    - ### Methods inherited from class org.apache.storm.metrics2.reporters.ScheduledStormReporter

      `getMetricsFilter, getReportPeriod, getReportPeriodUnit, isReportDimensionsEnabled, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.metrics2.reporters.StormReporter

      `prepare`

- - ### Field Detail

    - #### CSV_LOG_DIR

          public static final String CSV_LOG_DIR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CsvStormReporter

          public CsvStormReporter()

  - ### Method Detail

    - #### prepare

          public void prepare​(com.codahale.metrics.MetricRegistry metricsRegistry,
                              Map<String,​Object> topoConf,
                              Map<String,​Object> reporterConf)

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Overrides:
        `close` in class `ScheduledStormReporter`
      Throws:
        `IOException`